#!/bin/sh
# Linux64e script - runs VPD fixes for Ingram-Oakflat, Icefall, and Impact-RHF before running nvmupdate tool
exec > nulscript.log 2>&1
echo
this=`readlink -f $0`
curr=`dirname $this`
chmod +x $curr/nvmupdate.sh
retval=0
echo
lspci -vmm | grep "366FLR" > /dev/null
if [ "$?" -eq 0 ]; then
	$curr/ofvpdfix64e
	retval=$?
	if [ $retval != 0 ]; then echo "Failed to start ofvpdfix64e. Error code: ${retval}"; fi
	echo
fi
lspci -vmm | grep "560FLB" > /dev/null
if [ "$?" -eq 0 ]; then
	$curr/rfendfix64e
	retval=$?
	if [ $retval != 0 ]; then echo "Failed to start rfendfix64e. Error code: ${retval}"; fi
fi
